gRPC C#
gRPC C#
Namespaces
Grpc.Core
Channel Class
Channel Methods
ConnectAsync Method
ShutdownAsync Method
WaitForStateChangedAsync Method

Channel ConnectAsync Method

Allows explicitly requesting channel to connect without starting an RPC. Returned task completes once state Ready was seen. If the deadline is reached, or channel enters the FatalFailure state, the task is cancelled. There is no need to call this explicitly unless your use case requires that. Starting an RPC on a new channel will request connection implicitly.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public Task ConnectAsync(
    	Nullable<DateTime> deadline = null
    )

    Public Function ConnectAsync (
    	Optional deadline As Nullable(Of DateTime) = Nothing
    ) As Task

    public:
    Task^ ConnectAsync(
    	Nullable<DateTime> deadline = nullptr
    )

    member ConnectAsync :
            ?deadline : Nullable<DateTime>
    (* Defaults:
            let _deadline = defaultArg deadline null
    *)
    -> Task

#### Parameters

deadline (Optional)
  Type: System
  Nullable
  DateTime
  The deadline. null indicates no deadline.

#### Return Value

Type: Task
See Also

#### Reference

Channel Class
Grpc.Core Namespace